View Issue Details

IDProjectCategoryView StatusLast Update
0000141Adventure PHP FrameworkNeues Feature // New Featurepublic2015-10-12 12:20
ReporterjprangenbergAssigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.0 
Target Version2.1Fixed in Version2.1 
Summary0000141: GenericDomainObject -> hasProperty($propertyName)
DescriptionLösungsvorschlag:

public function hasProperty($propertyName) {
   return array_key_exists($propertyName, $this->properties);
}
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacemodules

Activities

ChristianAchatz

2014-02-05 22:28

administrator   ~0000197

Wir sollten bedenken, dass durch ein GenericCriterionObject die Breite der zurückgelieferten Properties eingeschränkt sein kann. Daher ist ein Check gegen die Mapping-Tabelle vermutlich sicherer.

Screeze

2014-02-06 08:33

developer   ~0000198

Zusätzlich fehlt dem GORM die Möglichkeit von außen zu prüfen ob er ein bestimmtes Objekt kennt (sprich: es in seiner mapping table vorhanden ist):
$orm->knowsObject("UmgtUser");

Entsprechend würde ich dann zum prüfen der properties machen:
$orm->objectHasProperty("UmgtUser", "Name");

ChristianAchatz

2014-05-17 12:30

administrator   ~0000348

Last edited: 2014-05-17 12:31

View 2 revisions

Added GORM methods:

* isObjectDefined($objectName) { ... }
* isObjectPropertyDefined($objectName, $propertyName) { ... }

Issue History

Date Modified Username Field Change
2014-02-05 14:48 jprangenberg New Issue
2014-02-05 14:51 jprangenberg Description Updated View Revisions
2014-02-05 22:28 ChristianAchatz Note Added: 0000197
2014-02-06 08:33 Screeze Note Added: 0000198
2014-05-17 12:30 ChristianAchatz Note Added: 0000348
2014-05-17 12:30 ChristianAchatz Status new => resolved
2014-05-17 12:30 ChristianAchatz Fixed in Version => 2.1
2014-05-17 12:30 ChristianAchatz Resolution open => fixed
2014-05-17 12:30 ChristianAchatz Assigned To => ChristianAchatz
2014-05-17 12:31 ChristianAchatz Note Edited: 0000348 View Revisions
2015-10-12 12:20 ChristianAchatz Status resolved => closed